#!/bin/bash
#
# by Martin Hierling <mad@cc.fh-lippe.de>
# Version 0.1
#

# Your rsync binary
RSYNC="/usr/bin/rsync"

# your preferred mirror ( i know only one )
MIRROR="sulu.cc.fh-lippe.de/gentoo-de/"

# your local portage dir ( mostly /usr/local/portage )
LOCALPORTAGE="/usr/local/portage"

# rsync options taken from the emerge sync call
RSYNC_OPTS="-rlptDvz --progress --stats --delete --delete-after --timeout=300 --exclude ='distfiles/*' --exclude='packages/*'"

#
# the rsync process
#

[ -d ${LOCALPORTAGE} ] && mkdir -p ${LOCALPORTAGE}

${RSYNC} ${RSYNC_OPTS} rsync://${MIRROR} ${LOCALPORTAGE}

